Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  VB Funktion ExtrudedCutouts.AddFinite

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: SolidEdge - Skalieren eines Bildes auf eine bestimmte Größe
Autor Thema:   VB Funktion ExtrudedCutouts.AddFinite (171 mal gelesen)
progi
Mitglied
Programmierer


Sehen Sie sich das Profil von progi an!   Senden Sie eine Private Message an progi  Schreiben Sie einen Gästebucheintrag für progi

Beiträge: 74
Registriert: 18.08.2004

VB.net SE 16

erstellt am: 19. Okt. 2004 08:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

Ich versuche mit meinem Programm aus einem Körper ein Teil auszuschneiden, leider ist die Funktion sehr zurückhaltend beschrieben.
Hat einer einen Tipp, welche Konstanten da übergeben werden müssen, damit immer das innere ausgeschnitten werden soll.

objExtCut = seModel.ExtrudedCutouts.AddFinite( _
    Profile:=oProfile, _                           
    ProfileSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, _
    ProfilePlaneSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, _
    Depth:=fDepth)

Mal geht igLeft, mal igRight. Mal ist dann das innere dann wieder das äußere ausgeschnitten.

Gruß Andreas

------------------
Besten Dank
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

modeng
Ehrenmitglied V.I.P. h.c.



Sehen Sie sich das Profil von modeng an!   Senden Sie eine Private Message an modeng  Schreiben Sie einen Gästebucheintrag für modeng

Beiträge: 7061
Registriert: 10.12.2003

erstellt am: 19. Okt. 2004 11:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für progi 10 Unities + Antwort hilfreich

Moin,

die Beschreibungen sind (fast) alle in diesem Stil gehalten ...
Aber zu deinem Problem -- Du musst wissen, wie so oft, wo sich die
Referenzebene befindet and danach richtet sich Innen/Aussen. Das
Folgende sollte es sein:

' ExtrudedCutout feature
'
' ProfileSide:
' igRight = inside profile material to be removed
' igLeft = outside profile material to be removed
'
' ProfilePlaneSide
' (in relation to the reference plane in which the cutout extends):
' igRight = positive direction (profile origin --> to the left)
' igLeft = negative direction (profile origin --> to the right)
' igSymmetric = both directions

modeng

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

progi
Mitglied
Programmierer


Sehen Sie sich das Profil von progi an!   Senden Sie eine Private Message an progi  Schreiben Sie einen Gästebucheintrag für progi

Beiträge: 74
Registriert: 18.08.2004

VB.net SE 16

erstellt am: 19. Okt. 2004 13:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
danke für die Erklärungen. Ich habe ein wenig probiert und dabei herausgefunden, das die Funktion von der Richtung des Linienzuges im Profile abhängig ist. igLeft bei beiden Parametern funktioniert mit gegen dem Uhrzeigersinn gemahlten Linienzügen. Das andere bricht ab, oder macht das verkehrte.

Besten Dank
Andreas

------------------
Besten Dank
Andreas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz